Bug 478534 - Review Request: gnome-mastermind - Mastermind-like game for linux
Review Request: gnome-mastermind - Mastermind-like game for linux
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2008-12-31 11:21 EST by Nicoleau Fabien
Modified: 2011-07-22 17:53 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 07:14:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2008-12-31 11:21:32 EST
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/gnome-mastermind.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc10/gnome-mastermind-0.3.1-1.fc10.src.rpm
Description:
GNOME Mastermind is a little Mastermind game for linux.
The goal of this game is to break a hidden color code following the hints
that the game gives us. Check the game manual for a better explanation
about how the game works and is played. 

Rebuild under mock is OK.
SRPM builds on koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=1027898
rpmlint output :
[builder@FEDOBOX ~]$ rpmlint /home/builder/rpmbuild/SRPMS/gnome-mastermind-0.3.1-1.fc10.src.rpm /home/builder/rpmbuild/RPMS/i386/gnome-mastermind-0.3.1-1.fc10.i386.rpm /home/builder/rpmbuild/RPMS/i386/gnome-mastermind-debuginfo-0.3.1-1.fc10.i386.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX ~]$
Comment 1 Fabian Affolter 2009-01-01 05:09:26 EST
Just some quick comment on your spec file

- It would be nice if you are not using a macro in URL because copy-and-paste is not possible from the spec file for humans
- Your missed to verify/install the desktop file.
  https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
- With make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" you can preserve the time stamps
- I think 'BR: GConf2-devel' is not needed

BTW, happy new year.
Comment 2 Nicoleau Fabien 2009-01-01 09:15:50 EST
Update :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/gnome-mastermind.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc10/gnome-mastermind-0.3.1-2.fc10.src.rpm

Changelog :
- Add desktop file install/validate
- Edit URL
- Preserve timestamps during install

I must preserve GConf2-devel as a BR, without this package doesn't build under mock.
rpmlint is still silent.

Happy new year too ^^
Comment 3 Andrea Musuruane 2009-01-03 08:41:41 EST
Please read this thread:
http://lists.freedesktop.org/archives/games/2008-December/000068.html

The name of this package is a problem. Blocking FE-LEGAL.
Comment 4 Nicoleau Fabien 2009-01-08 07:14:03 EST
I've contacted upstream.
He will change the name in a few month.
I'll open a news review after that.
Comment 5 Göran Uddeborg 2011-07-21 16:35:29 EDT
Nicoleau, what happened with this?  Was the name changed, and if so, to what?  Is there a package in Fedora today I can install to play this game?  And if so, what is it called?
Comment 6 Nicoleau Fabien 2011-07-21 17:33:24 EDT
Hi Goran,

I think that this project is inactive. During the review I proposed some new names to upstream, he told me that he will "think about it" but never replied :(

Fabien
Comment 7 Göran Uddeborg 2011-07-22 17:53:00 EDT
Ok, no point in searching for it then.  Unfortunate.

But thanks for telling!

Note You need to log in before you can comment on or make changes to this bug.